Hi, I need some urgent help. (AGB FIRM)

Discussion in '3DS - Flashcards & Custom Firmwares' started by bbcali89, Jan 5, 2016.

  1. bbcali89
    OP

    bbcali89 GBAtemp Fan

    Member
    397
    68
    Sep 16, 2013
    United States
    Chicago
    I am helping my friend get setup with RXTOOLS. and we are trying to play GBA cias.

    They are not working.

    I have a decent amount of experience in 3ds scene, and I can't figure out why it's not working.

    I'm using the 12.05 nightly version of rxtools.


    I run them both from emunand and sysnand. and they black screen. I tried New3DS patcher for AGB would not install.

    They show up fine on both nands. they just don't run. Can anyone help with this?
     


  2. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,106
    957
    Jun 13, 2015
    United States
    California
    Did you install them to the NAND or SD?
     
  3. bbcali89
    OP

    bbcali89 GBAtemp Fan

    Member
    397
    68
    Sep 16, 2013
    United States
    Chicago
    SD of course.
     
  4. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,106
    957
    Jun 13, 2015
    United States
    California
    Is it a recently downgraded system?
     
  5. bbcali89
    OP

    bbcali89 GBAtemp Fan

    Member
    397
    68
    Sep 16, 2013
    United States
    Chicago
    Yes. But cfw and cias work fine. just not agb for some reason.
     
  6. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,106
    957
    Jun 13, 2015
    United States
    California
    I read from other users that downgraded users are having issues with GBA cias, they just don't run for some reason.

    I think you should wait until more information about this comes out.

    Stay away from GBA cias in the mean time.
     
  7. wurstpistole

    wurstpistole N3DS B9S

    Member
    2,530
    910
    Nov 19, 2015
    Gambia, The
    Well that turned out not to be right, it also doesn't work on my native 9.0 N3DS.

    I don't know if you have to actively install patched AGB_FIRM cia's into SysNAND and EmuNAND for GBA VC to work. I did not try that, I gave up after not being able to start any GBA VC because I don't care about it anyway.
     
  8. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,106
    957
    Jun 13, 2015
    United States
    California
    I can give it a shot real quick.

    I have a non-AGB patched white 9.2 N3DS (not downgraded).

    I could install a GBA cia and try it.
     
  9. bitjacker

    bitjacker GBAtemp Disorderly

    Member
    192
    76
    Jan 23, 2014
    United States
    i never got gba cias working on mine. fourtunately, I have an ezflash 4
     
  10. bbcali89
    OP

    bbcali89 GBAtemp Fan

    Member
    397
    68
    Sep 16, 2013
    United States
    Chicago
    I installed the cia patch on my 2ds. But I can't get it to work on new3ds the install on cia fails.

    then I figured well who cares rxtools comes with patching on the fly right?

    Nope. black screens all day on launch of gba cias lol
     
  11. wormdood

    wormdood pirate booty inspector

    Member
    3,093
    1,272
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    hmm . . . let me try one on my downgraded o3ds . . .
    edit: well mine is downgraded and i am playing kingdom hearts chain of memories (a gba title) at the moment . . . also without installing agb-patched firm
    installed via bbm on rxtools 9/28
     
    Last edited by wormdood, Jan 5, 2016
  12. Columbo2811

    Columbo2811 GBAtemp Maniac

    Member
    1,146
    674
    Jul 19, 2015
    I've just tried on my n3ds which was downgraded it works. I installed agb patched firm with bbm yes bbm as fbi wouldn't install to NAND and it's working in reinand system NAND
     
  13. squee666

    squee666 Advanced Tech Pleb

    Member
    1,587
    890
    Sep 17, 2010
    Belfast
    from what i heard the latest nightlies broke gba support.
    the 28/9 build 2nd octoboer build works for it apparently
     
  14. wormdood

    wormdood pirate booty inspector

    Member
    3,093
    1,272
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    yup 9/28 is an awesomely complete build in my opinion
     
  15. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,106
    957
    Jun 13, 2015
    United States
    California
    I am playing Kirby Amazing Mirror without AGB firm in a N3DS:
    [​IMG]
     
  16. bi388

    bi388 GBAtemp Advanced Fan

    Member
    723
    316
    May 29, 2015
    United States
    Theoretically if there is a difference between a downgraded 9.2 3ds and one that was always 9.2 it could be fixed by downgrading to 9.1 and then updating to 9.2 right? Cause then it would be the same as if it had never been above 9.2. This would fix any issues right?
     
  17. wormdood

    wormdood pirate booty inspector

    Member
    3,093
    1,272
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    nope sadly not true because each update only includes files that change previous versions not all the files needed to run a 3ds and with that said there may have been changes to the fw while over 9.3 that 9.0/9.2 wont effect because they were not implemented in those updates in the first place
     
  18. bi388

    bi388 GBAtemp Advanced Fan

    Member
    723
    316
    May 29, 2015
    United States
    Maybe we could make a package with all of the cia files in 9.2 (not just the update ones) and you could install them to emunand so even if sysnand is off the emunand should be a perfect 9.2
     
  19. bitjacker

    bitjacker GBAtemp Disorderly

    Member
    192
    76
    Jan 23, 2014
    United States
    Thats what ive been waiting for!
     
  20. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,106
    957
    Jun 13, 2015
    United States
    California
    Nope, I believe you are wrong in this one.

    Between 9.0 - 9.2 there was only 2 titles updated, yet the update has more than a 100 cias.

    Also, In the 9.2 update browser/mset/AGB/TWL were not updated, if the 9.2 update didn't have them, people updating from 4.5 to 9.2 using sysupdater wouldn't get all those updated apps, they would stay in 4.x versions since the 9.2 didn't updated them from 9.0 and we know this isn't the case.
     
    Last edited by Tony_93, Jan 5, 2016